#ifndef _CEGOQUERYEXCEPTION_H_INCLUDED_
#define _CEGOQUERYEXCEPTION_H_INCLUDED_
///////////////////////////////////////////////////////////////////////////////
//                                                         
// CegoQueryException.h
// -------------------
// Cego query exception container class
//
// Design and Implementation by Bjoern Lemke
//
// (C)opyright 2000-2010 Bjoern Lemke
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2, or (at your option)
// any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; see the file COPYING.  If not, write to
// the Free Software Foundation, 59 Temple Place - Suite 330,
// Boston, MA 02111-1307, USA.
//
// INTERFACE MODULE
//
// Class: CegoQueryException
// 
// Description: data structure description for cego procedure parameters
//
// Status: QG-2.6
//
///////////////////////////////////////////////////////////////////////////////

// base includes
#include <lfc/Chain.h>

// cego includes
#include "CegoProcBlock.h"
#include "CegoProcStmt.h"

class CegoQueryException : public Exception {

public:
  
    CegoQueryException(CegoException excep, const Chain& module, int line, const Chain& msg);
    CegoQueryException(CegoException excep, const Chain& module, int line, const Chain& msg, const Exception& e);
    ~CegoQueryException();
    
    CegoException getException() const;

    CegoQueryException& operator = ( const CegoQueryException& qe);
    bool operator == ( const CegoQueryException& qe);

    Chain toChain() const;
    friend ostream& operator << (ostream& s, const CegoQueryException& qe);
    
private:
    
    CegoException _excep;
    
};

#endif




